@import '_content/Blazor.Bootstrap/Blazor.Bootstrap.bundle.scp.css';
@import '_content/Blazored.Modal/Blazored.Modal.bundle.scp.css';

/* /Pages/Admin/Categories.razor.rz.scp.css */
.header[b-jwvnuvsj7c] {
    display: flex;
    font-weight: 600;
    text-align: center;
    border-bottom: 1px solid lightgray;
    margin-bottom: 6px;
    padding-bottom: 6px;
}

.row[b-jwvnuvsj7c] {
    display: flex;
    padding: 6px;
}

.col[b-jwvnuvsj7c] {
    flex: 1;
}

.col-visible[b-jwvnuvsj7c] {
    text-align: center;
}
/* /Pages/Admin/EditProduct.razor.rz.scp.css */
img[b-boctaacgol] {
    max-height: 200px;
    max-width: 200px;
}

.row[b-boctaacgol] {
    display: flex;
    padding: 6px;
}

.col[b-boctaacgol] {
    flex: 1;
}

.header[b-boctaacgol] {
    display: flex;
    font-weight: 600;
    text-align: center;
    border-bottom: 1px solid lightgray;
    margin-bottom: 6px;
    padding-bottom: 6px;
}

.col-visible[b-boctaacgol] {
    text-align: center;
}
/* /Pages/Admin/Products.razor.rz.scp.css */
img[b-bp2p23iyhx] {
    max-height: 100px;
    max-width: 100px;
}
/* /Pages/Admin/ProductTypes.razor.rz.scp.css */
.row[b-ti6wctmnoe] {
    display: flex;
    padding: 6px;
}

.col[b-ti6wctmnoe] {
    flex: 1;
}
/* /Pages/Cart.razor.rz.scp.css */
.container[b-purjd2f5da] {
    display: flex;
    padding: 6px;
}

.image-wrapper[b-purjd2f5da] {
    width: 150px;
    text-align: center;
}

.image[b-purjd2f5da] {
    max-height: 100px;
    max-width: 100px;
    padding: 6px;
}

.name[b-purjd2f5da] {
    flex-grow: 1;
    padding: 6px;
}

.cart-product-price[b-purjd2f5da] {
    font-weight: 600;
    text-align: right;
}

.btn-delete[b-purjd2f5da] {
    background: none;
    border: none;
    padding: 0px;
    color: red;
    font-size: 12px;
}

    .btn-delete:hover[b-purjd2f5da] {
        text-decoration: underline;
    }

.input-quantity[b-purjd2f5da] {
    width: 70px;
}
/* /Pages/Checkout.razor.rz.scp.css */
body[b-kdsvm1k3bg]{
    font-family:Roboto;
    border-radius:10px;
}

button[b-kdsvm1k3bg]{
    height:50px;    
}

.notification[b-kdsvm1k3bg] {
    padding: 10px;
    border-radius: 5px;
    margin-bottom: 20px;
}

.notification-green[b-kdsvm1k3bg] {
    background-color: lightgreen;
}

.notification-red[b-kdsvm1k3bg] {
    background-color: lightcoral;
}

.main-container[b-kdsvm1k3bg] {   
    text-align: center;    
    /* border: 1px solid lightgrey;
    border-radius: 5px;*/
}
.sub-container[b-kdsvm1k3bg] {
    
    /*background-color: pink;*/
   /* border: 1px solid green;*/
    display: flex;
    justify-content: center;
    height: auto;
    gap: 10px;
}

.middle-payment-options[b-kdsvm1k3bg] {
    /*background-color: purple;*/
    display:flex;
    flex-direction:column;
    row-gap:10px;    
    padding: 5px;
    margin: 5px 5px;
    border: 1px solid lightgray;
    border-radius:10px;    
}

input[b-kdsvm1k3bg]{
    /*background-color:red;*/
    text-align:right;
}

.checkout-left-container[b-kdsvm1k3bg] {
    /*background-color: purple;*/
    border: 1px solid lightgray;
    border-radius:10px;
}

.checkout-middle-container[b-kdsvm1k3bg] {
    /*background-color: Yellow;*/
    border: 1px solid lightgray;
    border-radius: 10px;
    width:40%;
}
.paid-div[b-kdsvm1k3bg]{
    display:flex;
    gap:10px;
}

.checkout-right-container[b-kdsvm1k3bg] {
    /* background-color: aquamarine;*/
    border-radius: 10px;
    border: 1px solid lightgray;
    display: flex;
    flex-direction: column;
    width: 100%;
}

.tip-type[b-kdsvm1k3bg]{
    /*background-color:lightpink;*/
    font-size:18px;
    font-style:italic;
    border: 1px solid red;
    border-radius:5px;
    padding: 2px;
}

.right-item-cost-breakdown[b-kdsvm1k3bg] {
    background-color: antiquewhite;
    padding: 5px;
    margin: 5px 5px;
    border: 1px solid lightgray;
    display: flex;
    flex-direction: column;
    justify-content: space-between; /* Space items horizontally */
    align-items: flex-end;
}

.amount-div[b-kdsvm1k3bg] {
    /*background-color:yellow;*/
    display:flex;
    flex-direction:column;  
    align-items:flex-end;
    padding: 5px;
    margin: 5px 5px;
    border: 1px solid lightgray;
    font-size: 20px;
    border-radius: 10px;    
    gap: 5px;
}

.right-tip-div[b-kdsvm1k3bg] {    
    height: auto;
    padding: 5px;
    margin: 5px 5px;
    border: 1px solid lightgray;
    border-radius:10px;
    font-size: 20px;
    display:flex;
    flex-direction:column;
}

.tip-button-and-value[b-kdsvm1k3bg] {    
    display:flex;
    justify-content:space-between;
    align-items:center;
}

.tip-total[b-kdsvm1k3bg] {   
    align-self:flex-end;
   
}

.right-tip-buttons[b-kdsvm1k3bg] {    
    align-self:flex-start;
    margin: 5px;
}

.right-tip-input-div[b-kdsvm1k3bg]{    
    display:flex;
    gap:10px;
}

.tip-div-text[b-kdsvm1k3bg]{
    align-self:flex-end;
    margin:5px 5px;
}

.amount label[b-kdsvm1k3bg] {
    margin-right: 10px;
}

.right-item-cost-breakdown .amount .form-control[b-kdsvm1k3bg] {
    text-align: right !important;
    background-color: black !important;
}

.right-item-cost-total[b-kdsvm1k3bg] {
   /* background-color: maroon;*/
    padding: 5px;
    margin: 10px 5px;
    border: 1px solid lightgray;   
}

.right-item-transaction-buttons[b-kdsvm1k3bg] {
    background-color: silver;
    padding: 5px;
    margin: 5px 5px;
    border: 1px solid lightgray;
    display:flex;
    justify-content:space-between;
    margin-top:auto;
}

.right-item-transaction-buttons button[b-kdsvm1k3bg] {
    flex: 1; /* Make all buttons take an equal share of available space */
    min-width: 0; /* Prevent buttons from expanding too much */
    margin: 5px;
    text-align: center;
    display: flex; /* Enable flex layout for button content */
    align-items: center; /* Vertically center button content */
}

h3[b-kdsvm1k3bg] {
    font-size: 30px;
    margin: 5px;
}
/* /Pages/OrderDetails.razor.rz.scp.css */
.container[b-40gh6vf5zc] {
    display: flex;
    padding: 6px;
}

.image-wrapper[b-40gh6vf5zc] {
    width: 150px;
    text-align: center;
}

.image[b-40gh6vf5zc] {
    max-height: 150px;
    max-width: 150px;
    padding: 6px;
}

.name[b-40gh6vf5zc] {
    flex-grow: 1;
    padding: 6px;
}

.product-price[b-40gh6vf5zc] {
    font-weight: 600;
    text-align: right;
}
/* /Pages/Orders.razor.rz.scp.css */
.container[b-e0dbvktkcx] {
    display: flex;
    padding: 6px;
    border: 1px solid;
    border-color: lightgray;
    border-radius: 6px;
    margin-bottom: 10px;
}

.image-wrapper[b-e0dbvktkcx] {
    width: 150px;
    text-align: center;
}

.image[b-e0dbvktkcx] {
    max-height: 150px;
    max-width: 150px;
    padding: 6px;
}

.details[b-e0dbvktkcx] {
    flex-grow: 1;
    padding: 6px;
}

.order-price[b-e0dbvktkcx] {
    font-weight: 600;
    font-size: 1.2em;
    text-align: right;
}
/* /Pages/ProductDetails.razor.rz.scp.css */
.media-img[b-ieyhg82et4] {
    max-height: 500px;
    max-width: 500px;
    border-radius: 6px;
    margin: 0 10px 10px 10px;
}

.media-img-wrapper[b-ieyhg82et4] {
    max-width: 500px;
    max-height: 500px;
    text-align: center;
}

.original-price[b-ieyhg82et4] {
    text-decoration: line-through;
}

@media (max-width: 1023.98px) {
    .media[b-ieyhg82et4] {
        flex-direction: column;
    }

    .media-img[b-ieyhg82et4] {
        max-width: 300px;
    }

    .media-img-wrapper[b-ieyhg82et4] {
        width: 100%;
        height: auto;
    }
}
/* /Shared/AdminMenu.razor.rz.scp.css */
.top-row a[b-j83xwe09vf] {
    margin-left: 0 !important;
}

.dropdown-item:hover[b-j83xwe09vf] {
    background-color: white;
}
/* /Shared/Calculator.razor.rz.scp.css */
html[b-lesmkflo3l] {
    font-size: 62.5%;
    box-sizing: border-box;
}

*[b-lesmkflo3l],
*[b-lesmkflo3l]::before,
*[b-lesmkflo3l]::after {
    margin: 0;
    padding: 0;
    box-sizing: inherit;
}

.calculator[b-lesmkflo3l] {
    border: 1px solid #ccc;
    border-radius: 5px;
    width: 400px;
}

.calculator-screen[b-lesmkflo3l] {
    width: 100%;
    height: 80px;
    border: none;
    background-color: #252525;
    color: #fff;
    text-align: right;
    padding-right: 20px;
    padding-left: 10px;
    font-size: 4rem;
}

button[b-lesmkflo3l] {
    height: 60px;
    font-size: 2rem !important;
}

.equal-sign[b-lesmkflo3l] {
    height: 98%;
    grid-area: 2 / 4 / 6 / 5;
}

.calculator-keys[b-lesmkflo3l] {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-gap: 20px;
    padding: 20px;
}
/* /Shared/CardPayment.razor.rz.scp.css */
body[b-5n50trs0hr] {
}
/* /Shared/CheckoutTotalAndTip.razor.rz.scp.css */
body[b-i6utj6t6oz] {
    font-family:Arial;
}

.cart-product-price[b-i6utj6t6oz]{
    font-size:22px;   
}

.button-calc[b-i6utj6t6oz]{
    margin-left:5px;
}

.cart-container[b-i6utj6t6oz] {
    border: 1px solid lightgrey;
    border-radius: 5px;
    margin: 10px;
    padding: 10px;
}

label[b-i6utj6t6oz]{
    margin: auto 5px;
    font-size:18px;  
    margin-top:5px;
}

/* /Shared/FeaturedProducts.razor.rz.scp.css */
.container[b-l1gli47dcz] {
    display: flex;
    flex-direction: row;
    overflow-x: auto;
    justify-content: center;
}

img[b-l1gli47dcz] {
    max-width: 200px;
    max-height: 200px;
    border-radius: 6px;
    transition: transform .2s;
    margin-bottom: 10px;
}

    img:hover[b-l1gli47dcz] {
        transform: scale(1.1) rotate(5deg);
    }

.featured-product[b-l1gli47dcz] {
    margin: 10px;
    text-align: center;
    padding: 10px;
    border: 1px solid lightgray;
    border-radius: 10px;
    max-width: 200px;
}

@media (max-width: 1023.98px) {
    .container[b-l1gli47dcz] {
        justify-content: flex-start;
    }
}
/* /Shared/HomeButton.razor.rz.scp.css */
.home-button[b-2i4lmebupk] {
    white-space: nowrap;
    margin-right: 10px;
    transform: rotate(-5deg);
}
/* /Shared/MainLayout.razor.rz.scp.css */
.page[b-98kfb7o304] {
    position: relative;
    display: flex;
    flex-direction: column;
}

main[b-98kfb7o304] {
    flex: 1;
}

.sidebar[b-98kfb7o304] {
    background-image: linear-gradient(180deg, rgb(5, 39, 103) 0%, #3a0647 70%);
}

.top-row[b-98kfb7o304] {
    background-color: #f7f7f7;
    border-bottom: 1px solid #d6d5d5;
    justify-content: flex-end;
    height: 3.5rem;
    display: flex;
    align-items: center;
}

    .top-row[b-98kfb7o304]  a, .top-row[b-98kfb7o304]  .btn-link {
        white-space: nowrap;
        margin-left: 1.5rem;
        text-decoration: none;
    }

    .top-row[b-98kfb7o304]  a:hover, .top-row[b-98kfb7o304]  .btn-link:hover {
        text-decoration: underline;
    }

    .top-row[b-98kfb7o304]  a:first-child {
        overflow: hidden;
        text-overflow: ellipsis;
    }

@media (max-width: 640.98px) {
    .top-row:not(.auth)[b-98kfb7o304] {
        display: none;
    }

    .top-row.auth[b-98kfb7o304] {
        justify-content: space-between;
    }

    .top-row[b-98kfb7o304]  a, .top-row[b-98kfb7o304]  .btn-link {
        margin-left: 0;
    }
}

@media (min-width: 641px) {
    .page[b-98kfb7o304] {
        flex-direction: row;
    }

    .sidebar[b-98kfb7o304] {
        width: 250px;
        height: 100vh;
        position: sticky;
        top: 0;
    }

    .top-row[b-98kfb7o304] {
        position: sticky;
        top: 0;
        z-index: 1;
    }

    .top-row.auth[b-98kfb7o304]  a:first-child {
        flex: 1;
        text-align: right;
        width: 0;
    }

    .top-row[b-98kfb7o304], article[b-98kfb7o304] {
        padding-left: 2rem !important;
        padding-right: 1.5rem !important;
    }
}
/* /Shared/NavMenu.razor.rz.scp.css */
.navbar-toggler[b-mq6p6wpk08] {
    background-color: rgba(255, 255, 255, 0.1);
}

.top-row[b-mq6p6wpk08] {
    height: 3.5rem;
    background-color: rgba(0,0,0,0.4);
}

.navbar-brand[b-mq6p6wpk08] {
    font-size: 1.1rem;
}

.oi[b-mq6p6wpk08] {
    width: 2rem;
    font-size: 1.1rem;
    vertical-align: text-top;
    top: -2px;
}

.nav-item[b-mq6p6wpk08] {
    font-size: 0.9rem;
    padding-bottom: 0.5rem;
}

    .nav-item:first-of-type[b-mq6p6wpk08] {
        padding-top: 1rem;
    }

    .nav-item:last-of-type[b-mq6p6wpk08] {
        padding-bottom: 1rem;
    }

    .nav-item[b-mq6p6wpk08]  a {
        color: #d7d7d7;
        border-radius: 4px;
        height: 3rem;
        display: flex;
        align-items: center;
        line-height: 3rem;
    }

.nav-item[b-mq6p6wpk08]  a.active {
    background-color: rgba(255,255,255,0.25);
    color: white;
}

.nav-item[b-mq6p6wpk08]  a:hover {
    background-color: rgba(255,255,255,0.1);
    color: white;
}

@media (min-width: 641px) {
    .navbar-toggler[b-mq6p6wpk08] {
        display: none;
    }

    .collapse[b-mq6p6wpk08] {
        /* Never collapse the sidebar for wide screens */
        display: block;
    }
}
/* /Shared/PaymentType.razor.rz.scp.css */
.modal-container[b-nt6nzv21i5] {    
    display:flex;
    justify-content: center;
    align-items: start;
    justify-content: center;
    padding: 10px;   
}

.modal-summary[b-nt6nzv21i5]{   
    
}

.modal-content[b-nt6nzv21i5]{
    padding:10px;
    height:auto;
    width:300px;
}

button[b-nt6nzv21i5]{
    height:80px;
    margin:10px;
}

.cart-product-price[b-nt6nzv21i5] {
    font-weight: 600;
    text-align: right;
}

.modal-submission[b-nt6nzv21i5] {
    width: 300px;
    border: 0.5px solid lightgray;
    border-radius: 10px;
    padding: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    justify-content: center;
    gap: 50px;
}

.modal-calculator[b-nt6nzv21i5]{
    padding:10px;
}
/* /Shared/ProductList.razor.rz.scp.css */
.media-img[b-gzgsjhltrm] {
    max-height: 200px;
    max-width: 200px;
    border-radius: 6px;
    margin-bottom: 10px;
    transition: transform .2s;
}

    .media-img:hover[b-gzgsjhltrm] {
        transform: scale(1.1);
    }

.media-img-wrapper[b-gzgsjhltrm] {
    width: 200px;
    text-align: center;
}

.page-selection[b-gzgsjhltrm] {
    margin-right: 15px;
    margin-bottom: 30px;
}

@media (max-width: 1023.98px) {
    .media[b-gzgsjhltrm] {
        flex-direction: column;
    }

    .media-img-wrapper[b-gzgsjhltrm] {
        width: 100%;
        height: auto;
    }
}
/* /Shared/ShopLayout.razor.rz.scp.css */
.page[b-vj6xnr3ogt] {
    position: relative;
    display: flex;
    flex-direction: column;
}

main[b-vj6xnr3ogt] {
    flex: 1;
}

.nav-menu[b-vj6xnr3ogt] {
    background-image: linear-gradient(180deg, rgb(44, 62, 80) 0%, rgb(52, 73, 94) 70%);
}

.top-row[b-vj6xnr3ogt] {
    background-color: #f7f7f7;
    border-bottom: 1px solid #d6d5d5;
    justify-content: flex-end;
    height: 3.5rem;
    display: flex;
    align-items: center;
}

    .top-row[b-vj6xnr3ogt]  a, .top-row[b-vj6xnr3ogt]  .btn-link {
        white-space: nowrap;
        margin-left: .5rem;
        text-decoration: none;
    }

    .top-row[b-vj6xnr3ogt]  a:hover, .top-row[b-vj6xnr3ogt]  .btn-link:hover {
        text-decoration: underline;
    }

    .top-row[b-vj6xnr3ogt]  a:first-child {
        overflow: hidden;
        text-overflow: ellipsis;
    }

@media (max-width: 640.98px) {
    .top-row.auth[b-vj6xnr3ogt] {
        justify-content: space-between;
    }

    .top-row[b-vj6xnr3ogt]  a, .top-row[b-vj6xnr3ogt]  .btn-link {
        margin-left: 0;
    }
}

@media (min-width: 641px) {
    .page[b-vj6xnr3ogt] {
        flex-direction: row;
    }

    .top-row[b-vj6xnr3ogt] {
        position: sticky;
        top: 0;
        z-index: 1;
    }

    .top-row.auth[b-vj6xnr3ogt]  a:first-child {
        flex: 1;
        text-align: right;
        width: 0;
    }

    .top-row[b-vj6xnr3ogt], article[b-vj6xnr3ogt] {
        padding-left: 2rem !important;
        padding-right: 1.5rem !important;
    }
}
/* /Shared/ShopNavMenu.razor.rz.scp.css */
.navbar-toggler[b-utwnjfgrov] {
    color: rgba(255, 255, 255, 0.1);
}

.top-row[b-utwnjfgrov] {
    height: 3.5rem;
    background-color: rgba(0,0,0,0.4);
}

.navbar-brand[b-utwnjfgrov] {
    font-size: 1.1rem;
}

.oi[b-utwnjfgrov] {
    width: 2rem;
    font-size: 1.1rem;
    vertical-align: text-top;
    top: -2px;
}

.nav-item[b-utwnjfgrov] {
    font-size: 0.9rem;
    padding-bottom: 0.5rem;
    padding-top: 0.5rem;
}

    .nav-item[b-utwnjfgrov]  a {
        color: #d7d7d7;
        border-radius: 4px;
        height: 3rem;
        display: flex;
        align-items: center;
        line-height: 3rem;
    }

.nav-item[b-utwnjfgrov]  a.active {
    background-color: rgba(255,255,255,0.25);
    color: white;
}

.nav-item[b-utwnjfgrov]  a:hover {
    background-color: rgba(255,255,255,0.1);
    color: white;
}

.flex-nav[b-utwnjfgrov] {
    flex-direction: column;
}

@media (min-width: 641px) {
    .navbar-toggler[b-utwnjfgrov], .navbar-toggler-wrapper[b-utwnjfgrov] {
        display: none;
    }

    .flex-nav[b-utwnjfgrov] {
        flex-direction: row;
        display: flex;
    }

    .collapse[b-utwnjfgrov] {
        /* Never collapse the sidebar for wide screens */
        display: block;
    }
}
/* /Shared/UserButton.razor.rz.scp.css */
.show-menu[b-6pvitjhccv] {
    display: block;
}

.user-button[b-6pvitjhccv] {
    margin-left: .5em;
}

.top-row a[b-6pvitjhccv] {
    margin-left: 0;
}

.dropdown-item:hover[b-6pvitjhccv] {
    background-color: white;
}
